﻿@using System.Security.Claims
@{
    var role = User.FindFirst(ClaimTypes.Role)?.Value;
    string title = "Tax Prep Queue";
    ViewData["Title"] = title;
}
<div class="container">
    <div class="card">
        <div class="card-header flex-wrap border-0 pt-6 pb-0">
            <div class="card-title mb-0">
                <div class="d-flex justify-content-between">
                    <div>
                        <h3 class="card-label text-primary">
                            @title
                        </h3>
                    </div>
                    @if (role == Roles.Client)
                    {
                        <div>
                            <span class="label label-light-info label-inline mr-2 font-weight-bold font-size-h6 p-5 d-none" id="status-btn"></span>
                        </div>
                        <div class="d-flex justify-content-end">
                            <div>
                                <label class="col-form-label">Filter By:</label>
                            </div>
                            <div class="ml-3 mr-20">
                                <select class="form-control" asp-items="@ViewBag.Years" id="Year-Filter"></select>
                            </div>
                            <div class="align-self-center">
                                <button class="btn btn-primary btn-sm font-size-h6 font-weight-bold btn-upload-document btn-add mr-5" id="btn_submit_taxupload"><i class="fas fa-upload"></i>Upload</button>
                            </div>
                            <div class="align-self-center">
                                <a onclick="goBack()" class="btn btn-sm btn-icon btn-outline-primary btn-hover-light-primary btn-circle" data-toggle="tooltip" title="Go Back">
                                    <i class="fas fa-arrow-left"></i>
                                </a>
                            </div>
                        </div>
                    }
                </div>
            </div>
        </div>
        <div class="card-body">
            <div class="datatable datatable-bordered" id="client_list"></div>
        </div>
    </div>
</div>
<div class="modal" id="TaxDocumentUploadModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true"></div>
@section scripts{
    <script src="/js/page/tax-documents.js" asp-append-version="true"></script>
}